Subject: Re: create easy to parse list of added / ,odified files

From: Gelonida <[email-masked]>
Date: Sun, 05 Sep 2010 23:50:14 +0200

Hi Jonathan,

On 09/03/2010 08:39 AM, Jonathan Nieder wrote:
> Gelonida wrote:
> 
>> for a pre-commit trigger I would like to retrieve the list of modified
>> files, such, that I could analyze the contents prior to commit.
>>
>> what would be the best command for this
>>
>>
>> I thought about using "git status", but wondered, which other command
>> might return a nicer to parse list.
> 
> If you look at the git(1) man page, you will find a number of such
> "low-level (plumbing) interrogation commands" listed.  For example:
> 
>  . git diff-index
>  . git diff-files
>  . git update-index
>  . git status --porcelain
> 

Thanks for your answer.

I'm currently using
git diff-index HEAD --cached

This seems to do what I was looking for.

git status --porcelain
doesn't exist on my old cygwin git (I assume it's proably a little too old)